
 /*
 ͻ
        Author: Wm Madonna                                                 
     Copyright: NONE! - released into the Public Domain                    
 Ķ
        This include file is used to define bitmask constants for use      
        with the wmKey() function.  wmKey() is a C function callable       
        from Clipper 5.x and contained in the module WMKEY.OBJ.  It's      
        purpose is to directly massage the DOS keyboard status byte to     
        simulate a user pressing one of eight possible toggle keys.        
        These are INSERT,CAPSLOCK,NUMLOCK,SCROLLLOCK,ALT,CTRL,LEFTSHIFT    
        and RIGHTSHIFT.  The syntax is as follows:                         
                                                                           
                wmKey(nBitMask)  ---> NIL                                  
                                                                           
        nBitMask - one of the pre-defined constants contained in this      
                   module.  Note that you can combine keys by simply       
                   adding them together like so:                           
                        wmKey(wmALT + wmRIGHTSHIFT)                        
                   This would simulate the pressing of the ALT - RIGHT     
                   SHIFT key pair.                                         
                                                                           
        To use this function from your Clipper apps, simply include this   
        module at the top of your .PRG file like so:                       
                #INCLUDE "WMKEY.CH"                                        
        And then include the file WMKEY.OBJ in your .LNK file like so:     
                FILE yourFile, yourOtherFile, WMKEY.OBJ                    
                                                                           
                                                                           
        AUTHOR'S NOTE:                                                     
                I release this into the public domain and only promise     
                that it does nothing.  I have tested it extensivly for     
                about 5 minutes so assume what you will about it's         
                durability.  By all means take it and change it to         
                suit your needs (a toggle key detection function would     
                be a nice addition) but don't cry to me if it don't        
                work!  As someone once said - I expect no "payback" for    
                this function - only "payFORWARD".  Help someone else      
                in the future and I will consider us even!                 
                                                                           
 ͼ
  
 */


#DEFINE wmINSERT     128
#DEFINE wmCAPSLOCK    64
#DEFINE wmNUMLOCK     32
#DEFINE wmSCROLLLOCK  16
#DEFINE wmALT          8
#DEFINE wmCTRL         4
#DEFINE wmLEFTSHIFT    2
#DEFINE wmRIGHTSHIFT   1

